aboutsummaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorRyan Dahl <ry@tinyclouds.org>2010-11-01 16:03:32 -0700
committerRyan Dahl <ry@tinyclouds.org>2010-11-01 16:51:20 -0700
commit97c97450632f2cfd2e8a246337ee4a780f5b35ff (patch)
tree71022061d576928cc4d39b71463c4f4f482dca4b /configure
parent41c1563584bfb018a444e92f01f8cff87ccda30b (diff)
downloadandroid-node-v8-97c97450632f2cfd2e8a246337ee4a780f5b35ff.tar.gz
android-node-v8-97c97450632f2cfd2e8a246337ee4a780f5b35ff.tar.bz2
android-node-v8-97c97450632f2cfd2e8a246337ee4a780f5b35ff.zip
Back to WAF
Too much instability right now. Hopefully we can revisit autoconf soon.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure23
1 files changed, 19 insertions, 4 deletions
diff --git a/configure b/configure
index a62c184ea5..de002e39b2 100755
--- a/configure
+++ b/configure
@@ -1,6 +1,21 @@
-#!/bin/sh
+#! /bin/sh
-cd `dirname "$0"`
-autoconf --output configure.real
-exec ./configure.real "$@"
+# v8 doesn't like ccache
+if [ ! -z "`echo $CC | grep ccache`" ]; then
+ echo "Error: V8 doesn't like cache. Please set your CC env var to 'gcc'"
+ echo " (ba)sh: export CC=gcc"
+ exit 1
+fi
+CUR_DIR=$PWD
+
+#possible relative path
+WORKINGDIR=`dirname $0`
+cd "$WORKINGDIR"
+#abs path
+WORKINGDIR=`pwd`
+cd "$CUR_DIR"
+
+"${WORKINGDIR}/tools/waf-light" --jobs=1 configure $*
+
+exit $?